--Created by Mirrikat5, Arxkanite of Detheroc--
--Idea by Snoof of Detheroc <Rogue Angels>
--Version 1.1.00




function Snoof_HookSetItem()
	local Name, Link = GameTooltip:GetItem()
	--local ItemName, ItemLink, ItemRarity, ItemLevel, ItemMinLevel, ItemType, ItemSubType, ItemStackCount, ItemEquipLoc, ItemTexture = GetItemInfo(Link)
	--print(ItemName, ItemTexture)
   	if Snoof_Inks[Name] then
		GameTooltip:AddLine("Snoof's Pigments:",0.2, 0.7, 1)
		for i,v in pairs(Snoof_Inks[Name]) do
			GameTooltip:AddLine(v.."x "..i, Snoof_Colors[Snoof_Pigments[i].Color].Red, Snoof_Colors[Snoof_Pigments[i].Color].Green, Snoof_Colors[Snoof_Pigments[i].Color].Blue)
			GameTooltip:AddTexture(Snoof_Pigments[i].Texture)
			for j,w in ipairs(Snoof_Pigments[i]) do GameTooltip:AddLine("         "..w, 1, 1, 1); end
		end
	end
	if Snoof_Herbs[Name] then
		GameTooltip:AddLine("Snoof's Pigments:",0.2, 0.7, 1)
		for i,v in pairs(Snoof_Herbs[Name]) do
			GameTooltip:AddLine(v, Snoof_Colors[Snoof_Pigments[v].Color].Red, Snoof_Colors[Snoof_Pigments[v].Color].Green, Snoof_Colors[Snoof_Pigments[v].Color].Blue)
			GameTooltip:AddTexture(Snoof_Pigments[v].Texture)
			for j,w in pairs(Snoof_Inks) do 
				for k, x in pairs(Snoof_Inks[j]) do
					if ( k == v ) then GameTooltip:AddLine("         "..j, 1, 1, 1); end; 
				end
			end
		end		
	end
end

Snoof_Colors = {["Orange"] = {["Red"] = 1,["Blue"] = .25,["Green"] = 0.5,},["Green"] = {["Red"] = 0,["Blue"] = 0,["Green"] = 1,}}


Snoof_Inks = {
	["Jadefire Ink"] = {["Emerald Pigment"] = 2},
	["Shimmering Ink"] = {["Silvery Pigment"] = 2},
	["Moonglow Ink"] = {["Alabaster Pigment"] = 2},
	["Midnight Ink"] = {["Dusky Pigment"] = 2},
	["Lion's Ink"] = {["Golden Pigment"] = 2},
	["Ivory Ink"] = {["Alabaster Pigment"] = 1},
	["Ink of the Sea"] = {["Azure Pigment"] = 2},
	["Ethereal Ink"] = {["Nether Pigment"] = 2},
	["Celestial Ink"] = {["Violet Pigment"] = 2},
	["Snowfall Ink"] = {["Icy Pigment"] = 2},
	["Royal Ink"] = {["Indigo Pigment"] = 1},
	["Ink of the Sky"] = {["Sapphire Pigment"] = 1},
	["Hunter's Ink"] = {["Verdant Pigment"] = 1},
	["Fiery Ink"] = {["Ruby Pigment"] = 1},
	["Dawnstar Ink"] = {["Burnt Pigment"] = 1},
	["Darkflame Ink"] = {["Ebon Pigment"] = 1},
}     

Snoof_Pigments = {
	["Emerald Pigment"] = {[1] = "Fadeleaf",[2] = "Goldthorn",[3] = "Khadgar's Whisker",[4] = "Wintersbite",["Color"] = "Orange", ["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Emerald"},
	["Indigo Pigment"] = {[1] = "Fadeleaf",[2] = "Goldthorn",[3] = "Khadgar's Whisker",[4] = "Wintersbite",["Color"] = "Green",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Indigo"},
	["Silvery Pigment"] = {[1] = "Golden Sansam",[2] = "Dreamfoil",[3] = "Mountain Silversage",[4] = "Plaguebloom",[5] = "Icecap",["Color"] = "Orange",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Silvery"},
	["Sapphire Pigment"] = {[1] = "Golden Sansam",[2] = "Dreamfoil",[3] = "Mountain Silversage",[4] = "Plaguebloom",[5] = "Icecap",["Color"] = "Green",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Sapphire"},
	["Alabaster Pigment"] = {[1] = "Peacebloom",[2] = "Silverleaf",[3] = "Earthroot",["Color"] = "Orange",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_White"},
	["Dusky Pigment"] = {[1] = "Mageroyal",[2] = "Briarthorn",[3] = "Swiftthistle",[4] = "Bruiseweed",[5] = "Stranglekelp",["Color"] = "Orange",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Grey 25"},
  	["Verdant Pigment"] = {[1] = "Mageroyal",[2] = "Briarthorn",[3] = "Swiftthistle",[4] = "Bruiseweed",[5] = "Stranglekelp",["Color"] = "Green",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Verdant"},
	["Golden Pigment"] = {[1] = "Wild Steelbloom",[2] = "Grave Moss",[3] = "Kingsblood",[4] = "Liferoot",["Color"] = "Orange",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Golden"},
	["Burnt Pigment"] = {[1] = "Wild Steelbloom",[2] = "Grave Moss",[3] = "Kingsblood",[4] = "Liferoot",["Color"] = "Green",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Burnt"},
  	["Nether Pigment"] = {[1] = "Outland Herbs",["Color"] = "Orange",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Nether"},
  	
	["Azure Pigment"] = {[1] = "Northrend Herbs",["Color"] = "Orange",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Azure"},
  	["Ebon Pigment"] = {[1] = "Northrend Herbs",["Color"] = "Green",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Ebon"},
  	["Icy Pigment"] = {[1] = "Northrend Herbs",["Color"] = "Green",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Icy"},

  	["Ruby Pigment"] = {[1] = "Firebloom",[2] = "Purple Lotus",[3] = "Blindweed",[4] = "Ghost Mushroom",[5] = "Gromsblood",["Color"] = "Green",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Ruby"},
  	["Violet Pigment"] = {[1] = "Firebloom",[2] = "Purple Lotus",[3] = "Blindweed",[4] = "Ghost Mushroom",[5] = "Gromsblood",["Color"] = "Orange",["Texture"] = "Interface\\Icons\\INV_Inscription_Pigment_Violet"},

}

Snoof_Herbs = {
	["Fadeleaf"] = { [1] = "Emerald Pigment", [2] = "Indigo Pigment" },
	["Goldthorn"] = { [1] = "Emerald Pigment", [2] = "Indigo Pigment" },
	["Khadgar's Whisker"] = { [1] = "Emerald Pigment", [2] = "Indigo Pigment" },
	["Wintersbite"] = { [1] = "Emerald Pigment", [2] = "Indigo Pigment" },
	["Golden Sansam"] = { [1] = "Silvery Pigment", [2] = "Sapphire Pigment" },
	["Dreamfoil"] = { [1] = "Silvery Pigment", [2] = "Sapphire Pigment" },
	["Mountain Silversage"] = { [1] = "Silvery Pigment", [2] = "Sapphire Pigment" },
	["Plaguebloom"] = { [1] = "Silvery Pigment", [2] = "Sapphire Pigment" },
	["Icecap"] = { [1] = "Silvery Pigment", [2] = "Sapphire Pigment" },
	["Peacebloom"] = { [1] = "Alabaster Pigment" },
	["Silverleaf"] = { [1] = "Alabaster Pigment" },
	["Earthroot"] = { [1] = "Alabaster Pigment" },
	["Mageroyal"] = { [1] = "Dusky Pigment", [2] = "Verdant Pigment" },
	["Briarthorn"] = { [1] = "Dusky Pigment", [2] = "Verdant Pigment" },
	["Swiftthistle"] = { [1] = "Dusky Pigment", [2] = "Verdant Pigment" },
	["Bruiseweed"] = { [1] = "Dusky Pigment", [2] = "Verdant Pigment" },
	["Stranglekelp"] = { [1] = "Dusky Pigment", [2] = "Verdant Pigment" },
	["Grave Moss"] = { [1] = "Golden Pigment", [2] = "Burnt Pigment" },
	["Kingsblood"] = { [1] = "Golden Pigment", [2] = "Burnt Pigment" },
	["Liferoot"] = { [1] = "Golden Pigment", [2] = "Burnt Pigment" },
	["Wild Steelbloom"] = { [1] = "Golden Pigment", [2] = "Burnt Pigment" },
	["Purple Lotus"] = { [1] = "Ruby Pigment", [2] = "Violet Pigment" },
	["Sungrass"] = { [1] = "Ruby Pigment", [2] = "Violet Pigment" },
	["Blindweed"] = { [1] = "Ruby Pigment", [2] = "Violet Pigment" },
	["Arthas' Tears"] = { [1] = "Ruby Pigment", [2] = "Violet Pigment" },
	["Ghost Mushroom"] = { [1] = "Ruby Pigment", [2] = "Violet Pigment" },
	["Gromsblood"] = { [1] = "Ruby Pigment", [2] = "Violet Pigment" },
	["Firebloom"] = { [1] = "Ruby Pigment", [2] = "Violet Pigment" },
	["Felweed"] = { [1] = "Nether Pigment"},
	["Dreaming Glory"] = { [1] = "Nether Pigment"},
	["Ragveil"] = { [1] = "Nether Pigment"},
	["Flame Cap"] = { [1] = "Nether Pigment"},
	["Terocone"] = { [1] = "Nether Pigment"},
	["Ancient Lichen"] = { [1] = "Nether Pigment"},
	["Netherbloom"] = { [1] = "Nether Pigment"},
	["Nightmare Vine"] = { [1] = "Nether Pigment"},
	["Mana Thistle"] = { [1] = "Nether Pigment"},
	["Goldclover"] = { [1] = "Azure Pigment", [2] = "Ebon Pigment", [3] = "Icy Pigment",},
	["Firethorn"] = { [1] = "Azure Pigment", [2] = "Ebon Pigment", [3] = "Icy Pigment",},
	["Tiger Lily"] = { [1] = "Azure Pigment", [2] = "Ebon Pigment", [3] = "Icy Pigment",},
	["Talandra's Rose"] = { [1] = "Azure Pigment", [2] = "Ebon Pigment", [3] = "Icy Pigment",},
	["Frozen Herb"] = { [1] = "Azure Pigment", [2] = "Ebon Pigment", [3] = "Icy Pigment",},
	["Adder's Tongue"] = { [1] = "Azure Pigment", [2] = "Ebon Pigment", [3] = "Icy Pigment",},
	["Deadnettle"] = { [1] = "Azure Pigment", [2] = "Ebon Pigment", [3] = "Icy Pigment",},
	["Lichbloom"] = { [1] = "Azure Pigment", [2] = "Ebon Pigment", [3] = "Icy Pigment",},
	["Icethorn"] = { [1] = "Azure Pigment", [2] = "Ebon Pigment", [3] = "Icy Pigment",},

	
}

GameTooltip:HookScript("OnTooltipSetItem", Snoof_HookSetItem)